Obter preço
curl --request GET \
--url https://api.upag.io/v1/products/{productId}/prices/{priceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/products/{productId}/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/products/{productId}/prices/{priceId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Preços
Obter preço
Consulta um preço de um produto
GET
https://api.upag.io
/
v1
/
products
/
{productId}
/
prices
/
{priceId}
Obter preço
curl --request GET \
--url https://api.upag.io/v1/products/{productId}/prices/{priceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/products/{productId}/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/products/{productId}/prices/{priceId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
price.read (chave secreta).
Endpoint
curl https://api.upag.dev/v1/products/0b9c1f3e-6a4d-4c1e-9d55-3f1f6a7c2e10/prices/5f2d7a90-3b1c-4e8a-8f6d-1c9e4b7a2d33 \
-H "Authorization: Bearer sk_test_your_api_key"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
// upag.prices.retrieve(productId, priceId)
const price = await upag.prices.retrieve(
'0b9c1f3e-6a4d-4c1e-9d55-3f1f6a7c2e10',
'5f2d7a90-3b1c-4e8a-8f6d-1c9e4b7a2d33',
);
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
string (uuid)
required
ID do produto.
string (uuid)
required
ID do preço.
Resposta
200 OK
Response
{
"id": "5f2d7a90-3b1c-4e8a-8f6d-1c9e4b7a2d33",
"name": "Mensal",
"billingType": "recurring",
"interval": "month",
"intervalCount": 1,
"currency": "brl",
"amount": 4990,
"metadata": { "tier": "pro" },
"createdAt": "2026-03-18T11:05:00.000Z",
"updatedAt": "2026-03-18T11:05:00.000Z"
}
404 — PRODUCT_NOT_FOUND ou PRICE_NOT_FOUND (preço que não pertence ao produto informado).